API Reference
Log In
API Reference
These docs are for v2.0. Click to read the latest docs for v2.1.

List Workers

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

List all workers within your account. Pagination is available.

Use the page parameter to indicate the page for pagination, e.g. &page=2 to get to the 2nd page of the listing.

You can also filter the workers by a funnel and/or active status, using funnel_id or is_active parameters. Note that you need a unique identifier of a funnel, not its title (this prevents any unfortunate mistakes that can be a result of renaming). To look up the ID of a funnel, use the List funnels method

Response Schema

-   additionalProperties: false
-   [workers](#workers-0-3816137456421094349)
    
    -   Required: no
    -   Type: array
    -   Items
        
        -   Required: no
        -   additionalProperties: false
        -   [is_active](#is_active-2--1978282199871381085)
            
            -   Required: no
            -   Type: boolean
            -   Example: true
            
        -   [name](#name-2--2558675228854589731)
            
            -   Required: no
            -   Type: string
            -   Example: "Correct"
            
        -   [email](#email-2-1945544459974371448)
            
            -   Required: no
            -   Type: string
            -   Example: "[email protected]"
            
        -   [id](#id-2-2004418521970662945)
            
            -   Required: no
            -   Type: string
            -   Example: "fe79660a-9678-4772-bbd5-da14289691b5"
            
        -   [approved_at](#approved_at-2--4572481966606035672)
            
            -   Required: no
            -   Type: string
            -   Format: date-time
            -   Example: "2018-03-15T16:12:03.701-07:00"
            
        -   [data\_collection\_checks](#data_collection_checks-2-2066867576566146844)
            
            -   Required: no
            -   Type: array
            
        
    
-   [pagination](#pagination-0-54981042436236253)
    
    -   Required: no
    -   additionalProperties: false
    -   [first](#first-1--1856815114523554976)
        
        -   Required: no
        -   Type: integer
        -   Example: 1
        
    -   [previous](#previous-1--4360276479712952389)
        
        -   Required: no
        -   Type: null
        -   Example: ""
        
    -   [current](#current-1-3478434336654943128)
        
        -   Required: no
        -   Type: integer
        -   Example: 1
        
    -   [next](#next-1--2592809224026419461)
        
        -   Required: no
        -   Type: null
        -   Example: ""
        
    -   [last](#last-1-1263460097670529375)
        
        -   Required: no
        -   Type: integer
        -   Example: 1
Headers
string
required
Defaults to secret-api-token

Access Token

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json